hello all
as shown in below picture, i generated mesh in rhino.
could you please say
-
how can i have just square mesh? i dont like to have triangular mesh.
-
i would like part 1 and part 2 be equal size.
SheikhLotWithRINGrealMesh.3dm (514.6 KB)
hello all
as shown in below picture, i generated mesh in rhino.
could you please say
how can i have just square mesh? i dont like to have triangular mesh.
i would like part 1 and part 2 be equal size.
SheikhLotWithRINGrealMesh.3dm (514.6 KB)
Hello - in the detailed mesh control, make sure ‘Maximum aspect ratio’ is zero and control the mesh size with ‘Maximum edge length’ and ‘Maximum distance edge to surface’, and Jagged Seams set.
-Pasca;
Dear @pascal
thank you so much.
could you please say:
best
Hello - use PolygonCount
for the number of polys - for the size, use Area
and then divide by count…
Here is a quick python:
import Rhino
import rhinoscriptsyntax as rs
def test():
id = rs.GetObject("eslect a mesh", filter=32, preselect=True)
if not id: return
mesh = rs.coercemesh(id)
count = mesh.Faces.Count
x = Rhino.Geometry.AreaMassProperties
area = x.Compute(mesh).Area
print "Average polygon area in model units is ", round( area/count, 3)
pass
test()
-Pascal
hello dear @pascal
excuse me, i have another question.
i dont need to generate mesh in the bottom of the shape.
how can i remove that mesh is generated in the bottom of the shape?
best
Hello - ExtractSrf
before meshing, or use ExtractMeshPart
or Explode
after.
dear @pascal
like as shown in below picture, i don’t know why there isn’t uniform mesh!
mesh of part a and mesh of part b are not equal size.
thanks for everything
Hello - yeah, I guess that is due to the object being an exact revolve weighted points. Try RebuildUV
in U with 12 points, then mesh the result.
-Pascal
dear @pascal
thank you so mush.
you are best and best.
thanks a million
You are welcome, I’m glad it worked out.
-Pascal
Dear @pascal
i have a question but i’m not sure, ask here or in the grasshopper.
now, i gonna set one brep in grasshopper but grasshopper dont select the shape.
dear @pascal
do you think, mesh in rhino has effect on grasshopper/ladybug result??
Hello - the mesh is not a brep - you’ll need a mesh component in GH. ‘brep’ = surface or polysurface, in Rhino.
-Pascal
hello
dear @pascal
how did you find 12 points in U ?
I have another 3D shape, that attached, i don’t know how many points and in U or V for RebuildUV!!!
best
ahad
yazdDome.3dm (10.6 MB)
Hi ahad - I would create a clean new curve for the revolve - as in the attached file - and make the revolve using the ‘Deformable’ option at 12 points - to avoid using RebuildUV at all.
yazdDome_Smooth.3dm (10.4 MB)
-Pascal
dear @pascal
thank you for reply.
could you please explain step by step, what do you do?
because i have 3 other shapes for generating mesh. and unfortunately i don’t know how do you create clean new curve!!
best
Hi ahad - it will be best to familiarize yourself with some of Rhino’s basic tools - curve drawing is key to a lot of operations… In this case, I duplicated the edges of your revolve since there was no profile curve in the file (DupEdge
) then Joined the result and ran Rebuild, to 12 points (in this case, quite a lot of points because the profile has some changes in direction that I tried to accommodate but 6 points would be enough to get a more idealized and cleaner shape - I don’t know enough about the goal here to make that decision)
-Pascal
The PDF linked in this message is a good introduction to NURBS curves so you better understand how they work: